### Method

# Gio SocketClient connect_to_service_async

since: 2.22

#### Declaration

    void
    g_socket_client_connect_to_service_async (
      GSocketClient* client,
      const gchar* domain,
      const gchar* service,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This is the asynchronous version of g_socket_client_connect_to_service().

Available since: 2.22

#### Parameters

`domain`

  Type: `const gchar*`

  A domain name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`service`

  Type: `const gchar*`

  The name of the service to connect to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.